Subject: Re: bug#56344: 28.1; cannot copy-paste string with utf-8 letters (i.e. ²): "Non-ASCII string must be encoded in advance"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Jul 2022 20:59:52 +0300

> From: "Dr. Arne Babenhauserheide" <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 02 Jul 2022 10:07:37 +0200
> 
> >> If I copy that (M-w) and try to paste it into a text field in the icecat
> >> browser (firefox derivative), I get the error message *in Emacs*:
> >> 
> >> Non-ASCII string must be encoded in advance: "- 12 ::
> >>   - Minerale finden (bis Distanz 10cm x 10 pro 3 Diff)
> >>   - Durchgang finden (10m x 10 pro 3 Diff)
> >>   - Steinwachstum (1 Liter x 10 pro 3 Diff, keine Edelsteine,
> >> sondern Grundgestein)
> >>   - Durchschlagend (Schaden von Geschoss oder Waffe + 1 pro 3 Diff
> >> f\374r eine Handlung, Ber\374hrung)"
> >
> > Does this happen in "emacs -Q"?
> 
> Oh, no, it does not!
> 
> So it must be something in my configuration …

Yes, probably.

> Do you have an idea what might cause it?
> 
> I’ll try to find out what causes this, but it would be great to have a
> pointer where to start.

Something that's related to interprogram-cut-function or selection
encoding, perhaps?